Debian Bug report logs - #548401
[python-libsvm] Depends on Python 2.4 and 2.5 at the same time

version graph

Package: python-libsvm; Maintainer for python-libsvm is Chen-Tse Tsai <ctse.tsai@gmail.com>; Source for python-libsvm is src:libsvm.

Reported by: Bastian Venthur <venthur@debian.org>

Date: Sat, 26 Sep 2009 06:36:01 UTC

Severity: important

Found in version libsvm/2.89-1

Fixed in version libsvm/2.90-1

Done: Chen-Tse Tsai <ctse.tsai@gmail.com>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Chen-Tse Tsai <ctse.tsai@gmail.com>:
Bug#548401; Package python-libsvm. (Sat, 26 Sep 2009 06:36:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Bastian Venthur <venthur@debian.org>:
New Bug report received and forwarded. Copy sent to Chen-Tse Tsai <ctse.tsai@gmail.com>. (Sat, 26 Sep 2009 06:36:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Bastian Venthur <venthur@debian.org>
To: submit@bugs.debian.org
Subject: [python-libsvm] Depends on Python 2.4 and 2.5 at the same time
Date: Sat, 26 Sep 2009 08:33:41 +0200
Package: python-libsvm
Version: 2.89-1
Severity: serious

--- Please enter the report below this line. ---
I assume there is a mistake in the packaging of this package, usually
Python packages are build for both versions so each depends on the
version it was build for.


Cheers,

Bastian


--- System information. ---
Architecture: i386
Kernel:       Linux 2.6.30-1-686

Debian Release: squeeze/sid
  500 unstable        ftp.de.debian.org
  500 unstable        debian-multimedia.org

--- Package information. ---
Depends               (Version) | Installed
===============================-+-=============
libsvm2                         | 2.89-1
python                 (<< 2.6) | 2.5.4-2
python                 (>= 2.4) | 2.5.4-2
python-central      (>= 0.6.11) | 0.6.11
libc6                (>= 2.1.3) | 2.9-26
libgcc1            (>= 1:4.1.1) | 1:4.4.1-4
libstdc++6           (>= 4.1.1) | 4.4.1-4
python2.4           (>= 2.3.90) | 2.4.6-2
python2.5              (>= 2.5) | 2.5.4-1


Package's Recommends field is empty.

Package's Suggests field is empty.




-- 
Bastian Venthur                                      http://venthur.de
Debian Developer                                 venthur at debian org





Information forwarded to debian-bugs-dist@lists.debian.org, Chen-Tse Tsai <ctse.tsai@gmail.com>:
Bug#548401; Package python-libsvm. (Sun, 29 Nov 2009 12:12:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to gregor herrmann <gregoa@debian.org>:
Extra info received and forwarded to list. Copy sent to Chen-Tse Tsai <ctse.tsai@gmail.com>. (Sun, 29 Nov 2009 12:12:03 GMT) Full text and rfc822 format available.

Message #10 received at 548401@bugs.debian.org (full text, mbox):

From: gregor herrmann <gregoa@debian.org>
To: Bastian Venthur <venthur@debian.org>, 548401@bugs.debian.org
Subject: Re: Bug#548401: [python-libsvm] Depends on Python 2.4 and 2.5 at the same time
Date: Sun, 29 Nov 2009 13:09:39 +0100
[Message part 1 (text/plain, inline)]
On Sat, 26 Sep 2009 08:33:41 +0200, Bastian Venthur wrote:

> I assume there is a mistake in the packaging of this package, usually
> Python packages are build for both versions so each depends on the
> version it was build for.

I agree there's a bug but I doubt that's release critical. In the end
we have a dependency on python 2.5, and there is no older python
version in lenny/squeeze/sid anyway.

Therefore I suggest to downgrade the severity.

Cheers,
gregor, from the Munich BSP 
-- 
 .''`.   http://info.comodo.priv.at/ -- GPG Key IDs: 0x00F3CFE4, 0x8649AA06
 : :' :  Debian GNU/Linux user, admin, & developer - http://www.debian.org/
 `. `'   Member of VIBE!AT, SPI Inc., fellow of FSFE | http://got.to/quote/
   `-    BOFH excuse #205:  Quantum dynamics are affecting the transistors 
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Chen-Tse Tsai <ctse.tsai@gmail.com>:
Bug#548401; Package python-libsvm. (Sun, 29 Nov 2009 14:12:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Luk Claes <luk@debian.org>:
Extra info received and forwarded to list. Copy sent to Chen-Tse Tsai <ctse.tsai@gmail.com>. (Sun, 29 Nov 2009 14:12:07 GMT) Full text and rfc822 format available.

Message #15 received at 548401@bugs.debian.org (full text, mbox):

From: Luk Claes <luk@debian.org>
To: gregor herrmann <gregoa@debian.org>, 548401@bugs.debian.org
Cc: Bastian Venthur <venthur@debian.org>
Subject: Re: Bug#548401: [python-libsvm] Depends on Python 2.4 and 2.5 at the same time
Date: Sun, 29 Nov 2009 15:09:03 +0100
severity 548401 important
thanks

gregor herrmann wrote:
> On Sat, 26 Sep 2009 08:33:41 +0200, Bastian Venthur wrote:
> 
>> I assume there is a mistake in the packaging of this package, usually
>> Python packages are build for both versions so each depends on the
>> version it was build for.
> 
> I agree there's a bug but I doubt that's release critical. In the end
> we have a dependency on python 2.5, and there is no older python
> version in lenny/squeeze/sid anyway.
> 
> Therefore I suggest to downgrade the severity.

Agreed, downgrading to important.

Cheers

Luk




Severity set to 'important' from 'serious' Request was from Luk Claes <luk@debian.org> to control@bugs.debian.org. (Sun, 29 Nov 2009 14:12:21 GMT) Full text and rfc822 format available.

Reply sent to Chen-Tse Tsai <ctse.tsai@gmail.com>:
You have taken responsibility. (Sun, 06 Dec 2009 17:48:12 GMT) Full text and rfc822 format available.

Notification sent to Bastian Venthur <venthur@debian.org>:
Bug acknowledged by developer. (Sun, 06 Dec 2009 17:48:12 GMT) Full text and rfc822 format available.

Message #22 received at 548401-close@bugs.debian.org (full text, mbox):

From: Chen-Tse Tsai <ctse.tsai@gmail.com>
To: 548401-close@bugs.debian.org
Subject: Bug#548401: fixed in libsvm 2.90-1
Date: Sun, 06 Dec 2009 17:44:26 +0000
Source: libsvm
Source-Version: 2.90-1

We believe that the bug you reported is fixed in the latest version of
libsvm, which is due to be installed in the Debian FTP archive:

libsvm-dev_2.90-1_amd64.deb
  to main/libs/libsvm/libsvm-dev_2.90-1_amd64.deb
libsvm-tools_2.90-1_amd64.deb
  to main/libs/libsvm/libsvm-tools_2.90-1_amd64.deb
libsvm2-java_2.90-1_all.deb
  to main/libs/libsvm/libsvm2-java_2.90-1_all.deb
libsvm2_2.90-1_amd64.deb
  to main/libs/libsvm/libsvm2_2.90-1_amd64.deb
libsvm_2.90-1.diff.gz
  to main/libs/libsvm/libsvm_2.90-1.diff.gz
libsvm_2.90-1.dsc
  to main/libs/libsvm/libsvm_2.90-1.dsc
libsvm_2.90.orig.tar.gz
  to main/libs/libsvm/libsvm_2.90.orig.tar.gz
python-libsvm_2.90-1_amd64.deb
  to main/libs/libsvm/python-libsvm_2.90-1_amd64.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 548401@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Chen-Tse Tsai <ctse.tsai@gmail.com> (supplier of updated libsvm package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Fri, 4 Dec 2009 21:00:44 +0800
Source: libsvm
Binary: libsvm2 libsvm-tools libsvm-dev python-libsvm libsvm2-java
Architecture: source all amd64
Version: 2.90-1
Distribution: unstable
Urgency: low
Maintainer: Chen-Tse Tsai <ctse.tsai@gmail.com>
Changed-By: Chen-Tse Tsai <ctse.tsai@gmail.com>
Description: 
 libsvm-dev - The LIBSVM header files
 libsvm-tools - The LIBSVM binary tools
 libsvm2    - library implementing support vector machines
 libsvm2-java - Java API to support vector machine library
 python-libsvm - Python bindings for support vector machine library
Closes: 527805 548401 557339 558575
Changes: 
 libsvm (2.90-1) unstable; urgency=low
 .
   * New upstream release.
   * Fixed dependency of python-libsvm. (Closes: #548401)
   * Fixed python-libsvm building problem and migrated
     from python-central to python-support.
     Thanks to Sandro Tosi. (Closes: #557339)
   * Moved the tools in examples/tools/ of python-libsvm to
     libsvm-tools and provided manual pages for them.
   * Made libsvm2 depend on the latest libsvm-dev. (Closes: #527805)
   * Rebuild .jar from source. Thanks to gregor herrmann. (Closes: #558575)
   * Removed libsvm.pc from libsvm-dev.
Checksums-Sha1: 
 4ed8e7f963ac6a2c45369d1163608c73bd9e855a 1191 libsvm_2.90-1.dsc
 ec0e8f29cdf546d646709d7c2326509ff8f0c0d4 561458 libsvm_2.90.orig.tar.gz
 5e8ace9f8611eaaf8200770d4d789932b3b1e36f 8751 libsvm_2.90-1.diff.gz
 b4a0a47f521e8694eea396e298e6f35a2f47ea77 58836 libsvm2-java_2.90-1_all.deb
 79a35dabbb1810047c8f5adb369597c71987d77b 41954 libsvm2_2.90-1_amd64.deb
 f36fea77528a6effee4ae32a7e97403ab380af4c 110778 libsvm-tools_2.90-1_amd64.deb
 090ff909c264391a29951a6aa2c4aab48ac89d6e 37030 libsvm-dev_2.90-1_amd64.deb
 7b5f109a0272c764156b543ec4c65c416351fb03 109708 python-libsvm_2.90-1_amd64.deb
Checksums-Sha256: 
 c798a1d85ddc85815e715abc336fc793e317afb28d53892e240f16a8f2c38022 1191 libsvm_2.90-1.dsc
 e406e3fbb4d7dba1532a281f2a9fee53ab7ee3ba95468fb3ba57b58e4d97e359 561458 libsvm_2.90.orig.tar.gz
 996fe6c1c8fab34dd08b5c2c7e8f27122997be90b30c5363cddc2ad26d0883b8 8751 libsvm_2.90-1.diff.gz
 55275c5f1cb4855b544c811aaa703faf08c8c58977f1a293b05f6ba121fd4fe7 58836 libsvm2-java_2.90-1_all.deb
 71c7e54955dbdec5a568985c2594f2ba6d90492b3ff30228b2000d06c5d76f88 41954 libsvm2_2.90-1_amd64.deb
 18c676be6590cc94bbedea3263d117b88218618aadcd43026097f848c5b9b6f5 110778 libsvm-tools_2.90-1_amd64.deb
 076a219d7466ce3a119b4e32de6b53c467f2d49c5da45ed7b888f15cd63fd66a 37030 libsvm-dev_2.90-1_amd64.deb
 294665f65aa8004594ccc865740741ad81f22a4a2eee44d192e6ee8e92ef0ad0 109708 python-libsvm_2.90-1_amd64.deb
Files: 
 396f01cc8e53b4b3ed3cf0bf2830f221 1191 devel optional libsvm_2.90-1.dsc
 5052ff84243caa5b66ec4d28c012b5c9 561458 devel optional libsvm_2.90.orig.tar.gz
 960ab4cacf85cab5c0a199ebf8e08afa 8751 devel optional libsvm_2.90-1.diff.gz
 b2d4a08465854f5f7026d70d4af844b1 58836 libs optional libsvm2-java_2.90-1_all.deb
 e82ecdb88aa58c38762561d39aa5fadb 41954 libs optional libsvm2_2.90-1_amd64.deb
 badeb1bdff63a97e808ba2bbcc4bd008 110778 devel optional libsvm-tools_2.90-1_amd64.deb
 a4632e1d7959553d392283a585e5a14b 37030 libdevel optional libsvm-dev_2.90-1_amd64.deb
 7db3861548424107d508bf5cfd951511 109708 python optional python-libsvm_2.90-1_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iEYEARECAAYFAksbyTIACgkQ1gXdnL6dUzmgogCgnNJ2eqph0y12/9Lt4zNxyveC
lLgAn0yH7vsBvYjoUnbXSMAZTJnMmuWC
=mHSK
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Thu, 14 Jan 2010 07:31:13 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 16 10:42:19 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.